# Enum Class SmiComplianceType

java.lang.Object
java.lang.Enum<SmiComplianceType>
com.snmp4j.smi.SmiComplianceType

All Implemented Interfaces:
  `Serializable, Comparable<SmiComplianceType>, Constable`

public enum SmiComplianceType extends Enum<SmiComplianceType>
The `SmiComplianceType` distinguishes between GROUP and OBJECT compliance definitions in MODULE-COMPLIANCE statements. The type `Variation` is returned by `SmiObjectVariation` instances used to represent AGENT-CAPABILITIES object variation clauses.

Since:
  1.7.0
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GroupCompliance`
  GROUP COMPLIANCE definition in MODULE-COMPLIANCE statement.
  `ObjectCompliance`
  OBJECT COMPLIANCE definition in MODULE-COMPLIANCE statement.
  `Variation`
  VARIATION represents an AGENT-CAPABILITIES object variation clause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SmiComplianceType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiComplianceType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GroupCompliance

    public static final SmiComplianceType GroupCompliance
    GROUP COMPLIANCE definition in MODULE-COMPLIANCE statement.

  - ### ObjectCompliance

    public static final SmiComplianceType ObjectCompliance
    OBJECT COMPLIANCE definition in MODULE-COMPLIANCE statement.

  - ### Variation

    public static final SmiComplianceType Variation
    VARIATION represents an AGENT-CAPABILITIES object variation clause.

- ## Method Details

  - ### values

    public static SmiComplianceType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiComplianceType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null